{
  "C_Cpp.intelliSenseEngine": "default",
  "idf.espIdfPath": "/home/marc/esp/esp-idf",
  "idf.pythonBinPath": "/home/marc/.espressif/tools/python/v5.5.2/venv/bin/python3",
  "idf.toolsPath": "/home/marc/.espressif",
  "idf.customExtraPaths": "/home/marc/.espressif/tools/xtensa-esp-elf-gdb/14.2_20240403/xtensa-esp-elf-gdb/bin:/home/marc/.espressif/tools/riscv32-esp-elf-gdb/14.2_20240403/riscv32-esp-elf-gdb/bin:/home/marc/.espressif/tools/xtensa-esp-elf/esp-13.2.0_20240530/xtensa-esp-elf/bin:/home/marc/.espressif/tools/riscv32-esp-elf/esp-13.2.0_20240530/riscv32-esp-elf/bin:/home/marc/.espressif/tools/esp32ulp-elf/2.38_20240113/esp32ulp-elf/bin:/home/marc/.espressif/tools/cmake/3.24.0/bin:/home/marc/.espressif/tools/openocd-esp32/v0.12.0-esp32-20240318/openocd-esp32/bin:/home/marc/.espressif/tools/ninja/1.11.1:/home/marc/.espressif/tools/esp-rom-elfs/20240305",
  "idf.customExtraVars": {
    "OPENOCD_SCRIPTS": "/home/marc/.espressif/tools/openocd-esp32/v0.12.0-esp32-20251215/openocd-esp32/share/openocd/scripts",
    "ESP_ROM_ELF_DIR": "/home/marc/.espressif/tools/esp-rom-elfs/20240305/",
    "IDF_TARGET": "esp32p4"
  },
  "idf.gitPath": "git",
  "idf.adapterTargetName": "esp32s3",
  "idf.openOcdConfigs": [
    "board/esp32p4-builtin.cfg"
  ],
  "idf.flashType": "UART",
  "idf.port": "/dev/ttyUSB0",
  "cmake.additionalCompilerSearchDirs": [
    "/home/marc/.espressif/tools/xtensa-esp-elf/esp-13.2.0_20240530/xtensa-esp-elf/bin/"
  ],
  "files.associations": {
    "array": "cpp",
    "atomic": "cpp",
    "bit": "cpp",
    "*.tcc": "cpp",
    "bitset": "cpp",
    "cctype": "cpp",
    "charconv": "cpp",
    "chrono": "cpp",
    "clocale": "cpp",
    "cmath": "cpp",
    "compare": "cpp",
    "concepts": "cpp",
    "condition_variable": "cpp",
    "cstdarg": "cpp",
    "cstddef": "cpp",
    "cstdint": "cpp",
    "cstdio": "cpp",
    "cstdlib": "cpp",
    "cstring": "cpp",
    "ctime": "cpp",
    "cwchar": "cpp",
    "cwctype": "cpp",
    "deque": "cpp",
    "list": "cpp",
    "map": "cpp",
    "string": "cpp",
    "unordered_map": "cpp",
    "vector": "cpp",
    "exception": "cpp",
    "algorithm": "cpp",
    "functional": "cpp",
    "iterator": "cpp",
    "memory": "cpp",
    "memory_resource": "cpp",
    "numeric": "cpp",
    "optional": "cpp",
    "random": "cpp",
    "ratio": "cpp",
    "regex": "cpp",
    "string_view": "cpp",
    "system_error": "cpp",
    "tuple": "cpp",
    "type_traits": "cpp",
    "utility": "cpp",
    "format": "cpp",
    "fstream": "cpp",
    "future": "cpp",
    "initializer_list": "cpp",
    "iomanip": "cpp",
    "iosfwd": "cpp",
    "iostream": "cpp",
    "istream": "cpp",
    "limits": "cpp",
    "mutex": "cpp",
    "new": "cpp",
    "numbers": "cpp",
    "ostream": "cpp",
    "semaphore": "cpp",
    "span": "cpp",
    "sstream": "cpp",
    "stdexcept": "cpp",
    "stop_token": "cpp",
    "streambuf": "cpp",
    "thread": "cpp",
    "cinttypes": "cpp",
    "typeinfo": "cpp",
    "variant": "cpp",
    "esp_task_wdt.h": "c",
    "stdio.h": "c",
    "lv_color.h": "c",
    "lv_theme_simple.h": "c",
    "esp_log.h": "c",
    "lv_theme_domotic.h": "c",
    "event_groups.h": "c",
    "freertos.h": "c",
    "ihm.h": "c",
    "esp_check.h": "c",
    "esp-bsp.h": "c",
    "esp_littlefs.h": "c",
    "esp_vfs_fat.h": "c",
    "esp_http_client.h": "c",
    "am2302_rmt.h": "c",
    "bsp_board_extra.h": "c",
    "display.h": "c",
    "statemanagement.h": "c",
    "communication.h": "c",
    "mqtt_client.h": "c"
  },
  "idf.pythonInstallPath": "/usr/bin/python3",
  "clangd.path": "/home/marc/.espressif/tools/esp-clang/esp-19.1.2_20250312/esp-clang/bin/clangd",
  "clangd.arguments": [
    "--background-index",
    "--query-driver=/home/marc/.espressif/tools/xtensa-esp-elf/esp-14.2.0_20241119/xtensa-esp-elf/bin/xtensa-esp32-elf-gcc",
    "--compile-commands-dir=/home/marc/domotic/build"
  ],
  "idf.currentSetup": "/home/marc/.espressif/v5.5.2/esp-idf"
}
